Package Details: python-dragonmapper 0.2.6-1

Git Clone URL: https://aur.archlinux.org/python-dragonmapper.git (read-only, click to copy)
Package Base: python-dragonmapper
Description: Identification and conversion functions for Chinese text processing
Upstream URL: https://github.com/tsroten/dragonmapper
Licenses: MIT
Submitter: ragouel
Maintainer: None
Last Packager: ragouel
Votes: 0
Popularity: 0.000000
First Submitted: 2020-06-06 20:34
Last Updated: 2020-06-06 20:49

Latest Comments

BubuIIC commented on 2020-06-17 20:58

Um, now I'm unsure. I'd have thought this only happens when done explicitly like here: https://github.com/WeblateOrg/translation-finder/blob/master/setup.py#L32

But there could also be an automatic fallback.

But what I did for this package is removing those dependencies from my system and the PKGBUILD and then running the test suite in the check() function in PKGBUILD, they all pass. (Same for both of the still required dependencies)

ragouel commented on 2020-06-17 20:12

Isn't the requirements.txt file picked up by setup.py during installation ?

BubuIIC commented on 2020-06-17 20:06

This isn't referenced from setup.py. Those packages are used for building documentation (Sphinx, jinja, pygments, ...), as linters (pep8, flake8, coverage) or development env tools (tox, virtualenv)

So I'd assume the developer was documenting his dev environment in this file.

ragouel commented on 2020-06-17 19:57

What about this then ?

BubuIIC commented on 2020-06-17 18:36

The only required dependencies here are python-zhon python-hanzidentifier

See https://github.com/tsroten/dragonmapper/blob/develop/setup.py#L57